%define name b43legacy-firmware
%define version 1.0
%define release %mkrel 3
Summary: Firmware for the bcm43 chip
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: Proprietary
Group: System/Kernel and hardware
Url: http://www.broadcom.com/support/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
This package contains the firmware files for the legacy bcm (b43) chip, which is
used in wireless network cards.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware/b43legacy
install -m644 *.fw %{buildroot}/lib/firmware/b43legacy


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/lib/firmware/b43legacy/*.fw

%post
echo 'blacklist ssb' >>/etc/modprobe.d/blacklist


%changelog
* Tue Jul 30 2019 tex - 1.0-3pclos2019
- rebuild against updates

* Fri Jul 07 2017 bb2 <bb2> - 1.0-2pclos2017
- rebuild for 2017
